<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcCamera Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcCamera Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcCamera" --><!-- doxytag: inherits="iBase" -->
<p>The representation of a camera.  
 <a href="structiPcCamera.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="propclass_2camera_8h_source.html">propclass/camera.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcCamera:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcCamera.png" usemap="#iPcCamera_map" alt=""/>
  <map id="iPcCamera_map" name="iPcCamera_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="124,0,238,24"/>
<area href="structiPcDefaultCamera.html" title="This is a property class that wraps a standard first-person and third-person camera and related funct..." alt="iPcDefaultCamera" shape="rect" coords="0,112,114,136"/>
<area href="structiPcNewCamera.html" title="This is a camera property class." alt="iPcNewCamera" shape="rect" coords="124,112,238,136"/>
<area href="structiPcSimpleCamera.html" title="A class representing a simple camera, with capabilities for both first-person and third-person modes..." alt="iPcSimpleCamera" shape="rect" coords="248,112,362,136"/>
</map>
 </div></div>

<p><a href="structiPcCamera-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ae183982b9beb1b2139f7580cdbd2f33d">DisableDistanceClipping</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable distance clipping.  <a href="#ae183982b9beb1b2139f7580cdbd2f33d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#af8f854a9ed62fa704a00cbabfa5e8539">Draw</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render.  <a href="#af8f854a9ed62fa704a00cbabfa5e8539"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ab5c71dc2df46fba42939d3fea00a969c">EnableAdaptiveDistanceClipping</a> (float min_fps, float max_fps, float min_dist)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable adaptive distance clipping.  <a href="#ab5c71dc2df46fba42939d3fea00a969c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a4b23f8eff6214de96c45213625f55c94">EnableFixedDistanceClipping</a> (float dist)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable fixed distance clipping.  <a href="#a4b23f8eff6214de96c45213625f55c94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ac701d72bb28b837c9aba6560b5ff0072">GetAdaptiveMaxFPS</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum fps used for adaptive distance clipping.  <a href="#ac701d72bb28b837c9aba6560b5ff0072"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a24b5f01457a4453c2c353086e2680e94">GetAdaptiveMinDistance</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the minimum distance used for adaptive distance clipping.  <a href="#a24b5f01457a4453c2c353086e2680e94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a0c7a4bdb265db3c57fb9ac1c9cf595dc">GetAdaptiveMinFPS</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the minimum fps used for adaptive distance clipping.  <a href="#a0c7a4bdb265db3c57fb9ac1c9cf595dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCamera.html">iCamera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ab78ef09e09cc2c03e0c8560921ecc2e2">GetCamera</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the camera.  <a href="#ab78ef09e09cc2c03e0c8560921ecc2e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#aa04779c151ea489fe8f046b7c1b646b8">GetClearScreen</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the clear screen flag.  <a href="#aa04779c151ea489fe8f046b7c1b646b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a264ed335bb9f38562cb9f10be704fb83">GetClearZBuffer</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the clear zbuffer flag.  <a href="#a264ed335bb9f38562cb9f10be704fb83"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#af7a386dc347bba63a79cc0f53c671497">GetDrawFlags</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get camera drawing flags.  <a href="#af7a386dc347bba63a79cc0f53c671497"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a0041a68464d819fc859febb39e14b847">GetFixedDistance</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the fixed distance (returns &lt; 0 if adaptive is used).  <a href="#a0041a68464d819fc859febb39e14b847"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiView.html">iView</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a366442a0a6d366f7a6e69d7da85fc9a3">GetView</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the view.  <a href="#a366442a0a6d366f7a6e69d7da85fc9a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ac98cb5337f0ab6b454cf41abb2b7fdce">SetAutoDraw</a> (bool auto_draw)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the auto-draw option.  <a href="#ac98cb5337f0ab6b454cf41abb2b7fdce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a04ecb72332e8f5dcefe14c906e5d5b18">SetClearScreen</a> (bool flag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flag indicating if the camera should clear screen every frame.  <a href="#a04ecb72332e8f5dcefe14c906e5d5b18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ae4eb456aa5a4e4130ac5b623229eda2f">SetClearZBuffer</a> (bool flag)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flag indicating if the camera should clear z-buffer every frame.  <a href="#ae4eb456aa5a4e4130ac5b623229eda2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a3425e79f177dd31ac911b954fc573264">SetPerspectiveCenter</a> (float x, float y)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the projection center of the camera on screen space.  <a href="#a3425e79f177dd31ac911b954fc573264"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a3bbe75cada613b1275dcdd82969c7363">SetRectangle</a> (int x, int y, int w, int h)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the view rectangle to use on screen.  <a href="#a3bbe75cada613b1275dcdd82969c7363"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a4c06211ea06eace5391548d269bb3e21">SetRegion</a> (<a class="el" href="structiPcRegion.html">iPcRegion</a> *region, bool point=true, const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Camera to a Region.  <a href="#a4c06211ea06eace5391548d269bb3e21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">SetZoneManager</a> (<a class="el" href="structiPcZoneManager.html">iPcZoneManager</a> *zonemgr, bool point, const char *regionname, const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Camera to a zone manager.  <a href="#a24ab3c2bc15ec89e66271f8090449210"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a0d73d05fd1e708611e2a4f146712f3b5">SetZoneManager</a> (const char *entityname, bool point, const char *regionname, const char *name=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Camera to a zone manager.  <a href="#a0d73d05fd1e708611e2a4f146712f3b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#ab7113f961b2aebee0108e8cd6a15663d">UpdateCamera</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update camera position.  <a href="#ab7113f961b2aebee0108e8cd6a15663d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#adc6b621187072bac9875304b6d48a719">UseDistanceClipping</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if we use distance clipping (either fixed or adaptive).  <a href="#adc6b621187072bac9875304b6d48a719"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCamera.html#a288fcaa10a1e34f73b3e67cf16414144">UseFixedDistanceClipping</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if we use fixed distance clipping (as opposed to adaptive).  <a href="#a288fcaa10a1e34f73b3e67cf16414144"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The representation of a camera. </p>

<p>Definition at line <a class="el" href="propclass_2camera_8h_source.html#l00034">34</a> of file <a class="el" href="propclass_2camera_8h_source.html">camera.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae183982b9beb1b2139f7580cdbd2f33d"></a><!-- doxytag: member="iPcCamera::DisableDistanceClipping" ref="ae183982b9beb1b2139f7580cdbd2f33d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#ae183982b9beb1b2139f7580cdbd2f33d">iPcCamera::DisableDistanceClipping</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Disable distance clipping. </p>

</div>
</div>
<a class="anchor" id="af8f854a9ed62fa704a00cbabfa5e8539"></a><!-- doxytag: member="iPcCamera::Draw" ref="af8f854a9ed62fa704a00cbabfa5e8539" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#af8f854a9ed62fa704a00cbabfa5e8539">iPcCamera::Draw</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render. </p>
<p>This will clear the screen then draw on top of it. </p>

<p>Implemented in <a class="el" href="structiPcNewCamera.html#a6606a8da72c7af93984b4fa974c5ad18">iPcNewCamera</a>, and <a class="el" href="structiPcSimpleCamera.html#a58e46c1f9586b737abad025db270fc85">iPcSimpleCamera</a>.</p>

</div>
</div>
<a class="anchor" id="ab5c71dc2df46fba42939d3fea00a969c"></a><!-- doxytag: member="iPcCamera::EnableAdaptiveDistanceClipping" ref="ab5c71dc2df46fba42939d3fea00a969c" args="(float min_fps, float max_fps, float min_dist)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#ab5c71dc2df46fba42939d3fea00a969c">iPcCamera::EnableAdaptiveDistanceClipping</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>min_fps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_fps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>min_dist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable adaptive distance clipping. </p>
<p>In this mode the clipping plane will vary depending on the desired minimum and maximum fps. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">min_fps</td><td>is the minimum fps that we would like to have. If we go beyond that then we will move the clipping plane closer. </td></tr>
    <tr><td class="paramname">max_fps</td><td>is the maximum fps that is ok. If we go beyond that we will move the clipping plane further away. </td></tr>
    <tr><td class="paramname">min_dist</td><td>is the minimum clipping plane distance. We will never move the clipping closer to the camera then this distance. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4b23f8eff6214de96c45213625f55c94"></a><!-- doxytag: member="iPcCamera::EnableFixedDistanceClipping" ref="a4b23f8eff6214de96c45213625f55c94" args="(float dist)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#a4b23f8eff6214de96c45213625f55c94">iPcCamera::EnableFixedDistanceClipping</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dist</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable fixed distance clipping. </p>
<p>In this mode there is a fixed plane at the specified distance. All geometry that is fully behind that plane will not be rendered. This can speed up rendering. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dist</td><td>is the distance from the camera to the "far" clipping plane. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac701d72bb28b837c9aba6560b5ff0072"></a><!-- doxytag: member="iPcCamera::GetAdaptiveMaxFPS" ref="ac701d72bb28b837c9aba6560b5ff0072" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCamera.html#ac701d72bb28b837c9aba6560b5ff0072">iPcCamera::GetAdaptiveMaxFPS</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum fps used for adaptive distance clipping. </p>

</div>
</div>
<a class="anchor" id="a24b5f01457a4453c2c353086e2680e94"></a><!-- doxytag: member="iPcCamera::GetAdaptiveMinDistance" ref="a24b5f01457a4453c2c353086e2680e94" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCamera.html#a24b5f01457a4453c2c353086e2680e94">iPcCamera::GetAdaptiveMinDistance</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the minimum distance used for adaptive distance clipping. </p>

</div>
</div>
<a class="anchor" id="a0c7a4bdb265db3c57fb9ac1c9cf595dc"></a><!-- doxytag: member="iPcCamera::GetAdaptiveMinFPS" ref="a0c7a4bdb265db3c57fb9ac1c9cf595dc" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCamera.html#a0c7a4bdb265db3c57fb9ac1c9cf595dc">iPcCamera::GetAdaptiveMinFPS</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the minimum fps used for adaptive distance clipping. </p>

</div>
</div>
<a class="anchor" id="ab78ef09e09cc2c03e0c8560921ecc2e2"></a><!-- doxytag: member="iPcCamera::GetCamera" ref="ab78ef09e09cc2c03e0c8560921ecc2e2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCamera.html">iCamera</a>* <a class="el" href="structiPcCamera.html#ab78ef09e09cc2c03e0c8560921ecc2e2">iPcCamera::GetCamera</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the camera. </p>

</div>
</div>
<a class="anchor" id="aa04779c151ea489fe8f046b7c1b646b8"></a><!-- doxytag: member="iPcCamera::GetClearScreen" ref="aa04779c151ea489fe8f046b7c1b646b8" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#aa04779c151ea489fe8f046b7c1b646b8">iPcCamera::GetClearScreen</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the clear screen flag. </p>

</div>
</div>
<a class="anchor" id="a264ed335bb9f38562cb9f10be704fb83"></a><!-- doxytag: member="iPcCamera::GetClearZBuffer" ref="a264ed335bb9f38562cb9f10be704fb83" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#a264ed335bb9f38562cb9f10be704fb83">iPcCamera::GetClearZBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the clear zbuffer flag. </p>

</div>
</div>
<a class="anchor" id="af7a386dc347bba63a79cc0f53c671497"></a><!-- doxytag: member="iPcCamera::GetDrawFlags" ref="af7a386dc347bba63a79cc0f53c671497" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiPcCamera.html#af7a386dc347bba63a79cc0f53c671497">iPcCamera::GetDrawFlags</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get camera drawing flags. </p>

</div>
</div>
<a class="anchor" id="a0041a68464d819fc859febb39e14b847"></a><!-- doxytag: member="iPcCamera::GetFixedDistance" ref="a0041a68464d819fc859febb39e14b847" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCamera.html#a0041a68464d819fc859febb39e14b847">iPcCamera::GetFixedDistance</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the fixed distance (returns &lt; 0 if adaptive is used). </p>

</div>
</div>
<a class="anchor" id="a366442a0a6d366f7a6e69d7da85fc9a3"></a><!-- doxytag: member="iPcCamera::GetView" ref="a366442a0a6d366f7a6e69d7da85fc9a3" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiView.html">iView</a>* <a class="el" href="structiPcCamera.html#a366442a0a6d366f7a6e69d7da85fc9a3">iPcCamera::GetView</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the view. </p>

</div>
</div>
<a class="anchor" id="ac98cb5337f0ab6b454cf41abb2b7fdce"></a><!-- doxytag: member="iPcCamera::SetAutoDraw" ref="ac98cb5337f0ab6b454cf41abb2b7fdce" args="(bool auto_draw)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#ac98cb5337f0ab6b454cf41abb2b7fdce">iPcCamera::SetAutoDraw</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>auto_draw</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the auto-draw option. </p>
<p>If this option is enabled, the camera will automatically render. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">auto_draw</td><td>will cause the camera to automatically render every frame if set to true, or do nothing if set to false. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a04ecb72332e8f5dcefe14c906e5d5b18"></a><!-- doxytag: member="iPcCamera::SetClearScreen" ref="a04ecb72332e8f5dcefe14c906e5d5b18" args="(bool flag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#a04ecb72332e8f5dcefe14c906e5d5b18">iPcCamera::SetClearScreen</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>flag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set flag indicating if the camera should clear screen every frame. </p>
<p>Off by default unless the loaded map specifies this. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>if set to true, the camera will clear the screen every frame, otherwise it will not clear the screen. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae4eb456aa5a4e4130ac5b623229eda2f"></a><!-- doxytag: member="iPcCamera::SetClearZBuffer" ref="ae4eb456aa5a4e4130ac5b623229eda2f" args="(bool flag)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#ae4eb456aa5a4e4130ac5b623229eda2f">iPcCamera::SetClearZBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>flag</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set flag indicating if the camera should clear z-buffer every frame. </p>
<p>Off by default unless the loaded map specifies this. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">flag</td><td>if set to true, the camera will clear the z-buffer every frame, otherwise it will not clear the z-buffer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3425e79f177dd31ac911b954fc573264"></a><!-- doxytag: member="iPcCamera::SetPerspectiveCenter" ref="a3425e79f177dd31ac911b954fc573264" args="(float x, float y)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#a3425e79f177dd31ac911b954fc573264">iPcCamera::SetPerspectiveCenter</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the projection center of the camera on screen space. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>horizontal coordinate. </td></tr>
    <tr><td class="paramname">y</td><td>vertical coordinate. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3bbe75cada613b1275dcdd82969c7363"></a><!-- doxytag: member="iPcCamera::SetRectangle" ref="a3bbe75cada613b1275dcdd82969c7363" args="(int x, int y, int w, int h)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#a3bbe75cada613b1275dcdd82969c7363">iPcCamera::SetRectangle</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>h</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the view rectangle to use on screen. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>is the distance from the left side of the screen to the left side of the view. </td></tr>
    <tr><td class="paramname">y</td><td>is the distance from the top of the screen to the top of the view. </td></tr>
    <tr><td class="paramname">w</td><td>is the width of the view. </td></tr>
    <tr><td class="paramname">h</td><td>is the height of the view. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4c06211ea06eace5391548d269bb3e21"></a><!-- doxytag: member="iPcCamera::SetRegion" ref="a4c06211ea06eace5391548d269bb3e21" args="(iPcRegion *region, bool point=true, const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#a4c06211ea06eace5391548d269bb3e21">iPcCamera::SetRegion</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcRegion.html">iPcRegion</a> *&#160;</td>
          <td class="paramname"><em>region</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>point</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set Camera to a Region. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">region</td><td>is a pointer to the region to add the camera to. </td></tr>
    <tr><td class="paramname">point</td><td>if true, set the camera to a given start position. </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the start position to move the camera to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a24ab3c2bc15ec89e66271f8090449210"></a><!-- doxytag: member="iPcCamera::SetZoneManager" ref="a24ab3c2bc15ec89e66271f8090449210" args="(iPcZoneManager *zonemgr, bool point, const char *regionname, const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">iPcCamera::SetZoneManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a> *&#160;</td>
          <td class="paramname"><em>zonemgr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>regionname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set Camera to a zone manager. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">zonemgr</td><td>is a pointer to the zone manager to add the camera to. </td></tr>
    <tr><td class="paramname">point</td><td>if true, set the camera to a given start position. </td></tr>
    <tr><td class="paramname">regionname</td><td>is the name of the region to add the camera to. </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the start position to move the camera to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0d73d05fd1e708611e2a4f146712f3b5"></a><!-- doxytag: member="iPcCamera::SetZoneManager" ref="a0d73d05fd1e708611e2a4f146712f3b5" args="(const char *entityname, bool point, const char *regionname, const char *name=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#a24ab3c2bc15ec89e66271f8090449210">iPcCamera::SetZoneManager</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entityname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>regionname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set Camera to a zone manager. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">entityname</td><td>is a name of the entity with the zone manager. </td></tr>
    <tr><td class="paramname">point</td><td>if true, set the camera to a given start position. </td></tr>
    <tr><td class="paramname">regionname</td><td>is the name of the region to add the camera to. </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the start position to move the camera to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab7113f961b2aebee0108e8cd6a15663d"></a><!-- doxytag: member="iPcCamera::UpdateCamera" ref="ab7113f961b2aebee0108e8cd6a15663d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCamera.html#ab7113f961b2aebee0108e8cd6a15663d">iPcCamera::UpdateCamera</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update camera position. </p>
<p>This method will update camera position without rendering (you will have to call <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiView.html#a01c040b1dd37d8a0e195b61a53f0d3df">iView::Draw</a> manual later). </p>

</div>
</div>
<a class="anchor" id="adc6b621187072bac9875304b6d48a719"></a><!-- doxytag: member="iPcCamera::UseDistanceClipping" ref="adc6b621187072bac9875304b6d48a719" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#adc6b621187072bac9875304b6d48a719">iPcCamera::UseDistanceClipping</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if we use distance clipping (either fixed or adaptive). </p>

</div>
</div>
<a class="anchor" id="a288fcaa10a1e34f73b3e67cf16414144"></a><!-- doxytag: member="iPcCamera::UseFixedDistanceClipping" ref="a288fcaa10a1e34f73b3e67cf16414144" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCamera.html#a288fcaa10a1e34f73b3e67cf16414144">iPcCamera::UseFixedDistanceClipping</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if we use fixed distance clipping (as opposed to adaptive). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="propclass_2camera_8h_source.html">camera.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
